Subject: Re: Feature request: Reduce amount of diff in patch

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 Dec 2017 12:28:42 -0800

Stefan Beller <[email-masked]> writes:

> On Tue, Nov 28, 2017 at 8:09 AM, KES <[email-masked]> wrote:
> ...
>> May you please fix the git to generate minimized patches?
>
> You can use a different diff algorithm.
> ...
> Soon we'll have another diff algorithm "anchor" that tries to
> keep a given line out of the +/- but rather move other lines around
> the line to give equal results.

While all of the above is correct, my understanding is that none of
them would produce a patch that KES wants to see.

And we shouldn't ;-)  The two changes KES shows in the message are
not equivalent.